libwpg: WPG1Parser Class Reference documentation

# WPG1Parser Class Reference

`#include <WPG1Parser.h>`

Inheritance diagram for WPG1Parser:

List of all members.

## Public Member Functions
| WPG1Parser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
bool | parse ()
## Private Member Functions
void | handleStartWPG ()
void | handleEndWPG ()
void | handleFillAttributes ()
void | handleLineAttributes ()
void | handleColormap ()
void | handleLine ()
void | handlePolyline ()
void | handleRectangle ()
void | handlePolygon ()
void | handleEllipse ()
void | handleCurvedPolyline ()
void | decodeRLE (std::vector< unsigned char > &buffer, unsigned width, unsigned height, unsigned depth)
void | fillPixels (libwpg::WPGBitmap &bitmap, const unsigned char *buffer, unsigned width, unsigned height, unsigned depth)
void | handleBitmapTypeOne ()
void | handleBitmapTypeTwo ()
void | handlePostscriptTypeOne ()
void | handlePostscriptTypeTwo ()
void | resetPalette ()
## Private Attributes
int | m_recordLength
long | m_recordEnd
bool | m_success
bool | m_exit
bool | m_graphicsStarted
int | m_width
int | m_height
libwpg::WPGPen | m_pen
libwpg::WPGBrush | m_brush

## Constructor & Destructor Documentation

WPG1Parser::WPG1Parser | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter |
| ) |  |  |

## Member Function Documentation

bool WPG1Parser::parse | ( |  | ) | `[virtual]`

Implements WPGXParser.

void WPG1Parser::handleStartWPG | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleEndWPG | ( |  | ) | `[private]`

Referenced by handleStartWPG(), and parse().

void WPG1Parser::handleFillAttributes | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleLineAttributes | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleColormap | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleLine | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handlePolyline | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleRectangle | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handlePolygon | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleEllipse | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleCurvedPolyline | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::decodeRLE | ( | std::vector< unsigned char > & | buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | depth |
| ) |  |  | `[private]`

Referenced by handleBitmapTypeOne(), and handleBitmapTypeTwo().

void WPG1Parser::fillPixels | ( | libwpg::WPGBitmap & | bitmap,
|  | const unsigned char * | buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | depth |
| ) |  |  | `[private]`

Referenced by handleBitmapTypeOne(), and handleBitmapTypeTwo().

void WPG1Parser::handleBitmapTypeOne | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handleBitmapTypeTwo | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handlePostscriptTypeOne | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::handlePostscriptTypeTwo | ( |  | ) | `[private]`

Referenced by parse().

void WPG1Parser::resetPalette | ( |  | ) | `[private]`

Referenced by parse().

## Member Data Documentation

int WPG1Parser::m_recordLength`[private]`

Referenced by parse().

long WPG1Parser::m_recordEnd`[private]`

Referenced by decodeRLE(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), and parse().

bool WPG1Parser::m_success`[private]`

Referenced by parse().

bool WPG1Parser::m_exit`[private]`

Referenced by handleEndWPG(), and parse().

bool WPG1Parser::m_graphicsStarted`[private]`

Referenced by handleBitmapTypeOne(), handleBitmapTypeTwo(), handleColormap(), handleCurvedPolyline(), handleEllipse(), handleEndWPG(), handleFillAttributes(), handleLine(), handleLineAttributes(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), handleRectangle(), handleStartWPG(), and parse().

int WPG1Parser::m_width`[private]`

Referenced by handleStartWPG().

int WPG1Parser::m_height`[private]`

Referenced by handleBitmapTypeTwo(), handleCurvedPolyline(), handleEllipse(), handleLine(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), handleRectangle(), and handleStartWPG().

libwpg::WPGPen WPG1Parser::m_pen`[private]`

Referenced by handleCurvedPolyline(), handleEllipse(), handleLine(), handleLineAttributes(), handlePolygon(), handlePolyline(), handleRectangle(), and parse().

libwpg::WPGBrush WPG1Parser::m_brush`[private]`

Referenced by handleCurvedPolyline(), handleEllipse(), handleFillAttributes(), handleLine(), handlePolygon(), handleRectangle(), and parse().

The documentation for this class was generated from the following files:

- WPG1Parser.h
- WPG1Parser.cpp